# eric4.Preferences.ConfigurationPages.NetworkPage

Module implementing the Network configuration page.

### Global Attributes

None

### Classes

NetworkPage | Class implementing the Network configuration page.

### Functions

create | Module function to create the configuration page.

## NetworkPage

Class implementing the Network configuration page.

### Derived from

ConfigurationPageBase, Ui_NetworkPage

### Class Attributes

None

### Class Methods

None

### Methods

NetworkPage | Constructor
on_downloadDirButton_clicked | Private slot to handle the directory selection via dialog.
save | Public slot to save the Application configuration.

### Static Methods

None

#### NetworkPage (Constructor)

NetworkPage()

Constructor

#### NetworkPage.on_downloadDirButton_clicked

on_downloadDirButton_clicked()

Private slot to handle the directory selection via dialog.

#### NetworkPage.save

save()

Public slot to save the Application configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up